%define oname Terminal
%define iconname %{oname}.png

Summary:	X terminal emulator for Xfce desktop environment
Name:		terminal
Version:	0.2.8
Release:	%mkrel 5
Group:		Terminals
License:	GPLv2+
URL:		http://www.xfce.org
Source0:	%{oname}-%{version}.tar.bz2
Patch0:		%{oname}-0.2.0-Makefile.ins-Help.patch
# (saispo) take from debian terminal packages
Patch1:         %{oname}-0.2.6-dont_refresh_prefs_too_much.patch
Patch2:		03_background-activity.patch
BuildRequires:	vte-devel >= 0.11.0
BuildRequires:	perl(XML::Parser)
BuildRequires:	exo-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	libstartup-notification-1-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	intltool
Requires:	vte >= 0.11.0
Requires:	exo
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildrrot

%description
Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure2_5x \
	--disable-static
%make

%check
make check

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32}/apps
convert icons/48x48/stock_terminal-general.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{iconname}
convert icons/48x48/stock_terminal-general.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{iconname}

desktop-file-install \
    --add-category="GTK" \
    --add-only-show-in="XFCE" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{oname}

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%clean
rm -rf  %{buildroot}

%files  -n %{name} -f %{oname}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS AUTHORS HACKING THANKS
%dir %{_datadir}/%{oname}
%{_bindir}/*
%{_datadir}/%{oname}/*
%{_datadir}/applications/*
%{_datadir}/doc/%{oname}/*
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/*/stock/navigation/*.png
%{_datadir}/pixmaps/*
%{_mandir}/man1/*


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.8-5mdv2009.0
+ Revision: 269419
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - Patch2: blink the tab if there is any activity on background

* Wed Mar 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.8-3mdv2008.1
+ Revision: 188968
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.8-2mdv2008.1
+ Revision: 119173
- really apply patch 1
- add checks

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.8-1mdv2008.1
+ Revision: 115338
- Add files
- Add Patches for fixing prefs
- New release and remove unneeded patch which is fixed upstream

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-5mdv2008.1
+ Revision: 110608
- add missing buildrequires
- update summary and description
- new license policy
- do not package COPYING and INSTALL files
- revert last change
- fix desktop entry

* Sat Aug 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-4mdv2008.0
+ Revision: 71398
- provide patch 1 (CVE-2007-3770)
- own directory
- drop X-MandrivaLinux

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-3mdv2008.0
+ Revision: 32838
- s/imagemagick/ImageMagick

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.6-2mdv2008.0
+ Revision: 32825
- drop old menu style
- tune up desktop file
- disable compiling static files
- spec file clean


* Tue Jan 23 2007 plouf <plouf> 0.2.6-1mdv2007.0
+ Revision: 112310
- New release 0.2.6

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 0.2.5.8-0.rc2mdv2007.1
+ Revision: 91631
- Update to 2.5.8rc2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix BuildRequires
    - import terminal-0.2.5.4-0.beta2.2mdv2007.0

* Wed Aug 02 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5.4-0.beta2.2mdv2007.0
- rebuild for latest dbus
- use icon_cache marco

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5.4-0.beta2.1mdv2007.0
- 0.2.5.4beta2

* Sat Jun 24 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.5.1-0.beta1.2mdv2007.0
- rebuild for libvte9
- BR & R
- drop Source1
- Xdg

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 0.2.5.1-0.beta1.1mdk
- Sat Apr 22 2006 trem <trem@mandriva.org> 0.2.5.1-0.beta1.1mdk
- 0.2.5.1beta1

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.4-4mdk
- Rebuild with latest dbus

* Mon Oct 31 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.4-3mdk
- Rebuild for new dbus

* Tue Aug 02 2005 Marcel Pol <mpol@mandriva.org> 0.2.4-2mdk
- buildrequires perl-XML-Parser, ImageMagick

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 0.2.4-1mdk
- 0.2.4
- %%{1}mdv2007.1

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.2.4-0.pre1.1mdk
- 0.2.4pre1

* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Sat Dec 04 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- rebuild to use db4.3

